=== ksplashqml/themes/CMakeLists.txt ===
add_subdirectory(Minimalistic)
