=== debian/changelog ===
kde-workspace (4:4.8.5-0ubuntu0.3) precise-proposed; urgency=low

  * Add fix_plasma_init_order.diff from upstream to fix plasma init 
    order LP: #1123126

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 13 Feb 2013 10:18:02 +0000

kde-workspace (4:4.8.5-0ubuntu0.2) precise-proposed; urgency=low

  * Add fix-powerdevil-profile-generation.patch to ensure powerdevil
    profiles are created using appropriate information on support of suspend
    and hibernate (LP: #1066892)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Oct 2012 11:38:40 +0200

kde-workspace (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)
     - Drop patches previously cherrypicked from upstream:
        Remove_second_invisible_ProcessTable_widget.patch
        Fix_regression_that_you_couldnt_add_new_beams.patch
        Prevent_user_from_hiding_all_columns.patch
        observe_polkit_privileges_with_CanSuspend_CanResume.diff

  [ Jonathan Riddell ]
  * Add kde-workspace_4.8.5.orig-ksplash.tar.gz with ariya theme
    which was missed from tar by upsteram
  * Add kubuntu_remove_horos_ksplash_theme.diff to remove horos theme

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 18:06:44 +0200

kde-workspace (4:4.8.4a-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Refresh kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff
    - Update kde-workspace-data.install
  * Cherry-pick ksysguard fixes from the 4.8 branch:
    - Remove_second_invisible_ProcessTable_widget.patch
    - Fix_regression_that_you_couldnt_add_new_beams.patch
    - Prevent_user_from_hiding_all_columns.patch
  * Cherry-pick fix to make powerdevil respect the SuspendAllowed and
    HibernateAllowed upower properties.
    - Add observe_polkit_privileges_with_CanSuspend_CanResume.diff

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:34:15 +0200

kde-workspace (4:4.8.3-0ubuntu0.2) precise-proposed; urgency=low

  * add kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff to
    revert the broken openGL build fixes from this commit.
    Replaces kubuntu_fix_gleffects.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 24 May 2012 23:57:18 +0200

kde-workspace (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - Add kubuntu_fix_gleffects.diff so the logout effect is installed.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 20:51:27 +0200
