=== debian/changelog ===
kde-workspace (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:07:21 -0400

kde-workspace (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * Remove upstream_Ensure-that-the-start-Client-to-build-up-the-ClientM.patch
    and kubuntu_plasma_init_script.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:16:13 +0100

kde-workspace (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Add upstream_Ensure-that-the-start-Client-to-build-up-the-ClientM.patch
    from upstream fixing a memleak in kwin
  * Change sonames to be more generic (4.9.* instead of 4.9.0)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 05 Sep 2012 17:31:55 +0530

kde-workspace (4:4.9.0-0ubuntu4) quantal; urgency=low

  * Add kubuntu_plasma_init_script.diff from upstream, run
    plasma-desktop init script, LP: #1045839

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Sep 2012 15:19:45 +0100

kde-workspace (4:4.9.0-0ubuntu3) quantal; urgency=low

  * Simplify kubuntu_gtk2_engines_oxygen_config.diff and add GTK 3 settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 14:04:38 +0100

kde-workspace (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kde-workspace (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Remove patches/kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff fixed upstream
  * Remove debian/patches/kubuntu_fix_batterymonitor_panel_minsize.diff fix upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:32:34 +0100

kde-workspace (4:4.8.90-0ubuntu3) quantal; urgency=low

  * In kde-workspace recommend lightdm-kde-greeter as well as kdm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 11:45:11 +0100

kde-workspace (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Fix minimum size for batterymonitor applet when it's on the panel,
    upstream bug #301877.

 -- Romain Perier <bambi@ubuntu.com>  Sun, 17 Jun 2012 10:04:14 +0200

kde-workspace (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.
  * Update libprocesscore4abi1.symbols.

  [ Michal Zajac ]
  * Fixed install files

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 12 Jun 2012 15:58:26 +0200

kde-workspace (4:4.8.80-0ubuntu2) quantal; urgency=low

  * Make kde-workspace-bin depend on kde-base-artwork

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 10 Jun 2012 01:48:34 +0400

kde-workspace (4:4.8.80-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream beta release
    - Merge kde-workspace-data and kde-workspace-data-extras
    - drop kubuntu_active_fix_kwin_xrender_disable.diff (applyed upstream)
    - drop enable_kwinactive.diff (applyed upstream)
    - refresh 
      * enable_kwinactive.diff
      * kubuntu_upstart_session_events.diff

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update .install files
    - Update .symbols files
    - Bump libkdecoration4 Debian api, rename to libkdecoration4api1
    - Bump libkwineffects4 Debian api, rename to libkdwineffects4api4
  * Merge with Debian Git, remaining changes:
    - Add kdm.{links, upstart}
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - Add kde-window-manager-gles.install and libkwineffects1abi2-gles.install
    - Move non-default kdm and ksplash themes to the new package
      kde-workspace-data-extras.
    - kdm.logrotate: rotate 7 -> rotate 2 to help stop excess disk usage
    - debian/control:
      - don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev
        (they are in Universe)
      - Build against libbost1.49-dev instead of libboost-dev
      - Keep bumped our replaces/breaks
      - kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of oxygencursors
      - Keep kdebase-workspace-wallpapers
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - Don't build plasma-scriptengine-googlegadgets
    - debian/patches:
      - Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
      - Don't add be_better_at_honouring_user_kdm_theming
      - Don't add use_dejavu_as_default_font
      - Don't add fix_target_link_libraries
      - Keep our patches
    - kde-workspace-bin.install do not install remote-widgets-browser

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 May 2012 16:26:55 -0400

kde-workspace (4:4.8.3-0ubuntu2) quantal; urgency=low

  * add kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff to
    revert the broken openGL build fixes from this commit.
    Replaces kubuntu_fix_gleffects.diff
    (LP: #997625)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 24 May 2012 21:22:29 +0200

kde-workspace (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add kubuntu_fix_gleffects.diff so the logout effect is installed.
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 08:00:19 +0200

kde-workspace (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Refresh patches.
  * Build-depend on kdepimlibs >= 4.8 and new libkactivities-dev.
  * Update not-installed files.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.

