=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, 
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
- libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
+ libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
+ libkactivities-dev (>= 4:4.9.2), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
  libdbusmenu-qt-dev (>= 0.6.0),
@@ -22,7 +22,7 @@
  network-manager-dev (>= 0.9) [linux-any],
  libraw1394-dev [linux-any],
  libusb-dev, libpci-dev,
- libakonadi-dev (>= 1.1.95), libboost1.46-dev,
+ libakonadi-dev (>= 1.1.95), libboost1.49-dev,
  libgps-dev (>= 2.90),
  libck-connector-dev, libdbus-1-dev,
  libsensors4-dev [linux-any],
@@ -32,8 +32,8 @@
  libpng12-dev, libjpeg-dev, libxcursor-dev,
  libqalculate-dev, libglib2.0-dev,
  libqtwebkit-dev,
- libprison-dev, kdelibs5-experimental-dev, libkactivities-dev
-Standards-Version: 3.9.2
+ libprison-dev
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
@@ -47,10 +47,10 @@
  klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
  kde-window-manager (>= ${source:Version}) | kde-window-manager-gles (>= ${source:Version}), 
  systemsettings (>= ${source:Version}), freespacenotifier (>= ${source:Version})
-Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
+Recommends: lightdm-kde-greeter | kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
  kmenuedit (>= ${source:Version})
-Breaks: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
-Replaces: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
+Breaks: kdebase-workspace (<< 4:4.7.2) 
+Replaces: kdebase-workspace (<< 4:4.7.2) 
 Description: KDE Plasma Workspace components
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -63,6 +63,7 @@
 
 Package: kdebase-workspace
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-workspace
 Description: transitional package for kde-workspace
@@ -75,9 +76,8 @@
  plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
  libkactivities-bin
 Recommends: kde-workspace
-Replaces: kdebase-workspace-bin (<< 4:4.5.80), plasma-widgets-workspace (<< 4:4.5.80),
- kdebase-workspace-data (<< 4:4.6.80)
-Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.80),
+Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5)
+Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
 Description: KDE Plasma workspace for desktop and laptop computers
  Provides the environment for running and managing applications and integrating
@@ -94,7 +94,6 @@
  plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
  libkactivities-bin
 Recommends: kde-workspace
-Replaces: plasma-widgets-workspace (<< 4:4.5.80)
 Description: KDE Plasma workspace for netbook computers
  Provides the environment for running and managing applications and integrating
  interaction of applications. It is designed as generic environment for all
@@ -109,20 +108,15 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
  plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
  kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
- kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus
+ kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork
 Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
  upower [linux-any]
 Suggests: x11-xkb-utils, plasma-scriptengines
 Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
- kde-window-manager (<< 4:4.5.80), kdebase-workspace-data (<< 4:4.6.80),
- kdebase-workspace-libs4+5, kinfocenter (<= 4:4.5.80),
- plasma-widgets-workspace (<< 4:4.5.80), systemsettings (<< 4:4.5.80),
- kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), libpowerdevilcore0,
- plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
+ kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2) 
 Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
- kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), polkit-kde-1 (<< 0.99),
- kdebase-workspace-data (<< 4:4.6.80), libpowerdevilcore0,
- plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
+ kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
+ polkit-kde-1 (<< 0.99)
 Description: core binaries for the KDE Plasma Workspace
  This package contains miscellaneous programs needed for a basic desktop
  installation. Among other standard KDE Workspace components, the package
@@ -134,6 +128,7 @@
 
 Package: kdebase-workspace-bin
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-workspace-bin
 Description: transitional package for kde-workspace-bin
@@ -144,11 +139,11 @@
 Architecture: all
 Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
 Replaces: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80)
+ kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
+ kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80)
 Breaks: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80)
+ kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
+ kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80)
 Suggests: kde-wallpapers
 Description: shared data files for the KDE Plasma Workspace
  This package contains architecture-independent shared data files needed for a
@@ -157,29 +152,22 @@
  This package is part of the KDE base workspace module.
 
 Package: kde-workspace-data-extras
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
  ${misc:Depends}, ${perl:Depends}
-Replaces: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
- kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
-Breaks: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
- kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
-Description: extra data files for the KDE Plasma Workspace
- This package contains extra shared data files that aren't installed by default
- for space reasons.
- .
- This package is part of the KDE base workspace module.
+Replaces: ksmserver, ktip, ksplash, libplasma1
+Breaks: ksmserver, ktip, ksplash, libplasma1
+Description: transitional package for kde-workspace-data
+ This package is save to remove
 
 Package: kde-workspace-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
  ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
-Breaks: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
-Replaces: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
+Breaks: kdebase-workspace-dev (<< 4:4.7.2) 
+Replaces: kdebase-workspace-dev (<< 4:4.7.2) 
 Description: development files for the KDE Plasma Workspace
  This package contains development files for building software that uses
  libraries from the KDE Plasma Workspace.
@@ -187,6 +175,8 @@
  This package is part of the KDE base workspace module.
 
 Package: kdebase-workspace-dev
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-workspace-dev
 Description: transitional package for kde-workspace-dev
@@ -197,10 +187,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ksysguardd (= ${binary:Version})
-Replaces: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
- plasma-netbook (<< 4:4.6.80)
-Breaks: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
- plasma-netbook (<< 4:4.6.80)
+Replaces: kde-workspace-data (<< 4:4.8.80)
+Breaks: kde-workspace-data (<< 4:4.8.80)
 Description: KDE Plasma data engines
  This package contains standard Plasma data engines shipped in KDE Plasma
  workspace. These engines are needed by the standard KDE base
@@ -214,10 +202,8 @@
 Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
  akonadi-server, kdepim-runtime
 Provides: notification-daemon, indicator-renderer
-Replaces: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
- libplasma-applet-system-monitor4
-Breaks: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
- libplasma-applet-system-monitor4
+Replaces: kde-workspace-data (<< 4:4.8.80)
+Breaks: kde-workspace-data (<< 4:4.8.80)
 Description: plasma widgets and containments for the KDE Plasma Workspace
  This package contains standard Plasma widgets and containments shipped in the
  KDE base workspace module. They provide such basic desktop functionality as
@@ -250,3 +236,33 @@
 #Depends: ${shlibs:Depends}, ${misc:Depends}
 #Description: QEdje script engine for Plasma
 # This package provides the Edje script engine for Plasma. You have to install it
+# if you want to use Plasma widgets and data engines written in Edje.
+# .
+# This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-ruby
+Architecture: all
+Depends: ruby-plasma, ${misc:Depends}
+Description: Ruby script engine for Plasma
+ This package provides the Ruby script engine for Plasma. You have to install it
+ if you want to use Plasma widgets and data engines written in Ruby.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-python
+Architecture: all
+Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
+ python-qt4-dbus
+Description: Python script engine for Plasma
+ This package provides the Python script engine for Plasma. You have to install
+ it if you want to use Plasma widgets and data engines written in Python.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-webkit
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Web and Mac OS X dashboard widget support for Plasma
+ This package provides the WebKit script engine for Plasma which adds support
+ for the webpage widgets written in HTML and JavaScript and for the Apple
+ Mac OS X dashboard widgets. You have to install this package if you want to be
